Skip to main content
POST
/
api
/
v1
/
search
/
tables
/
{table_name}
/
indices
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.search.tables.createIndices({
    tableName: "<value>",
    createIndicesRequest: {
      indices: [
        {
          field: "embedding",
          config: {
            type: "IVF_FLAT",
            distanceType: "cosine",
            numPartitions: 128,
            maxIterations: 50,
            sampleRate: 256,
            reindexAfter: 3600,
          },
        },
      ],
    },
  });

  console.log(result);
}

run();
{
  "indices_created": [
    {
      "config": {
        "distance_type": "cosine",
        "num_partitions": 128,
        "type": "IVF_FLAT"
      },
      "field": "embedding",
      "index_type": "IVF_FLAT"
    }
  ],
  "message": "Successfully created 1 indices"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

table_name
string
required

Body

application/json
indices
IndexRequest · object[]
required

Response

Successful Response

message
string
required
indices_created
IndexInfo · object[]
required